lwIP 2.1.2 Lightweight IP stack

Macros
Loopback interface
lwIP » Options (lwipopts.h) » NETIF

## Macros
#define | LWIP_HAVE_LOOPIF (LWIP_NETIF_LOOPBACK && !LWIP_SINGLE_NETIF)
#define | LWIP_LOOPIF_MULTICAST 0
#define | LWIP_NETIF_LOOPBACK 0
#define | LWIP_LOOPBACK_MAX_PBUFS 0
#define | LWIP_NETIF_LOOPBACK_MULTITHREADING (!NO_SYS)

## Detailed Description

## Macro Definition Documentation

## ◆ LWIP_HAVE_LOOPIF

#define LWIP_HAVE_LOOPIF (LWIP_NETIF_LOOPBACK && !LWIP_SINGLE_NETIF)

LWIP_HAVE_LOOPIF==1: Support loop interface (127.0.0.1). This is only needed when no real netifs are available. If at least one other netif is available, loopback traffic uses this netif.

## ◆ LWIP_LOOPBACK_MAX_PBUFS

#define LWIP_LOOPBACK_MAX_PBUFS 0

LWIP_LOOPBACK_MAX_PBUFS: Maximum number of pbufs on queue for loopback sending for each netif (0 = disabled)

## ◆ LWIP_LOOPIF_MULTICAST

#define LWIP_LOOPIF_MULTICAST 0

LWIP_LOOPIF_MULTICAST==1: Support multicast/IGMP on loop interface (127.0.0.1).

## ◆ LWIP_NETIF_LOOPBACK

#define LWIP_NETIF_LOOPBACK 0

LWIP_NETIF_LOOPBACK==1: Support sending packets with a destination IP address equal to the netif IP address, looping them back up the stack.

## ◆ LWIP_NETIF_LOOPBACK_MULTITHREADING

#define LWIP_NETIF_LOOPBACK_MULTITHREADING (!NO_SYS)

LWIP_NETIF_LOOPBACK_MULTITHREADING: Indicates whether threading is enabled in the system, as netifs must change how they behave depending on this setting for the LWIP_NETIF_LOOPBACK option to work. Setting this is needed to avoid reentering non-reentrant functions like tcp_input(). LWIP_NETIF_LOOPBACK_MULTITHREADING==1: Indicates that the user is using a multithreaded environment like tcpip.c. In this case, netif->input() is called directly. LWIP_NETIF_LOOPBACK_MULTITHREADING==0: Indicates a polling (or NO_SYS) setup. The packets are put on a list and netif_poll() must be called in the main application loop.